## youtube-dl 2018.03.14

=== Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish youtube_dl/extractor/lazy_extractors.py *.dump *.part* *.ytdl *.info.json *.mp4 *.m4a *.flv *.mp3 *.avi *.mkv *.webm *.3gp *.wav *.ape *.swf *.jpg *.png CONTRIBUTING.md.tmp ISSUE_TEMPLATE.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete
	find . -name "*.class" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
SYSCONFDIR = $(shell if [ $(PREFIX) = /usr -o $(PREFIX) = /usr/local ]; then echo /etc; else echo $(PREFIX)/etc; fi)

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 .

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

# Keep this list in sync with devscripts/run_tests.sh
offlinetest: codetest
	$(PYTHON) -m nose --verbose test \
		--exclude test_age_restriction.py \
		--exclude test_download.py \
		--exclude test_iqiyi_sdk_interpreter.py \
		--exclude test_socks.py \
		--exclude test_subtitles.py \
		--exclude test_write_annotations.py \
		--exclude test_youtube_lists.py \
		--exclude test_youtube_signature.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	mkdir -p zip
	for d in youtube_dl youtube_dl/downloader youtube_dl/extractor youtube_dl/postprocessor ; do \
	  mkdir -p zip/$$d ;\
	  cp -pPR $$d/*.py zip/$$d/ ;\
	done
	touch -t 200001010101 zip/youtube_dl/*.py zip/youtube_dl/*/*.py
	mv zip/youtube_dl/__main__.py zip/
	cd zip ; zip -q ../youtube-dl youtube_dl/*.py youtube_dl/*/*.py __main__.py
	rm -rf zip
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py

CONTRIBUTING.md: README.md
	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md

.github/ISSUE_TEMPLATE.md: devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl.md  youtube_dl/version.py
	$(PYTHON) devscripts/make_issue_template.py .github/ISSUE_TEMPLATE_tmpl.md .github/ISSUE_TEMPLATE.md

supportedsites:
	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f markdown -t plain README.md -o README.txt

youtube-dl.1: README.md
	$(PYTHON) devscripts/prepare_manpage.py youtube-dl.1.temp.md
	pandoc -s -f markdown -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	$(PYTHON) devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	$(PYTHON) devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	$(PYTHON) devscripts/fish-completion.py

fish-completion: youtube-dl.fish

lazy-extractors: youtube_dl/extractor/lazy_extractors.py

_EXTRACTOR_FILES = $(shell find youtube_dl/extractor -iname '*.py' -and -not -iname 'lazy_extractors.py')
youtube_dl/extractor/lazy_extractors.py: devscripts/make_lazy_extractors.py devscripts/lazy_load_template.py $(_EXTRACTOR_FILES)
	$(PYTHON) devscripts/make_lazy_extractors.py $@

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish ChangeLog AUTHORS
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache__' \
		--exclude '.git' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		ChangeLog AUTHORS LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py setup.cfg \
		youtube-dl

=== debian/changelog ===
youtube-dl (2018.03.14-1) unstable; urgency=medium

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Moved packaging to salsa.debian.org

  [ Nicolas Braud-Santoni ]
  * d/p/remove-autoupdate-mechanism.patch: Remove upstream's autoupdate
    mechanism (Closes: #693534, #890119)

  [ Rogério Brito ]
  * New upstream version 2018.01.27
  * New upstream version 2018.03.14
  * debian/copyright:
    + Update my copyright years.
  * debian/{compat,control}:
    + Relutanctly update compat to 11.
  * debian/control:
    + Add Recommends: python3-pyxattr. Thanks to Mathieu Malaterre for the
      report. (Closes: #891446)
    + Update long description with list of supported sites/extractors.
  * debian/patches:
    + remove-autoupdate-mechanism.patch: Update patch with metadata at the top.
    + fix_libav_compat_outdated.patch: Refresh.
    + remove-autoupdate-mechanism.patch: Refresh.
    + remove-autoupdate-mechanism.patch: Remove fewer things to avoid future
      conflicts.
    + remove-autoupdate-mechanism.patch: Update metadata and rename to
      disable-autoupdate-mechanism.patch
    + Refresh all patches with gbp pq.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 16 Mar 2018 15:55:33 -0300

youtube-dl (2017.12.31-1) unstable; urgency=medium

  * New upstream version 2017.12.31. (Closes: #886249)
  * debian/control: Mark compliancy with policy 4.1.3 (no changes needed).

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 04 Jan 2018 04:35:08 -0200

youtube-dl (2017.11.06-1) unstable; urgency=medium

  * New upstream version 2017.11.06
  * debian/control: Add recommends on phantomjs. Closes: #880739

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 08 Nov 2017 04:40:10 -0200

youtube-dl (2017.10.15.1-1) unstable; urgency=medium

  * New upstream version 2017.10.15.1 (Closes: #793054, #812547)
  * debian/control:
    + Update the source repository to github.com.
    + Update S-V to 4.0.0, no more changes needed.
    + Change priority from extra to optional.
    + Mark compliance with policy 4.1.1. No further changes needed.
  * debian/README.source:
    + Update with instructions relative to my workflow.
  * debian/copyright:
    + Use HTTPS for Format: field.
    + Use HTTPS for upstream's source.
  * debian/{compat,control}: Update compat to 10.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 19 Oct 2017 19:40:59 -0200

=== debian/control ===
Source: youtube-dl
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Section: web
Priority: optional
Build-Depends: bash-completion,
               debhelper (>= 11),
               dh-exec,
               dh-python,
               pandoc,
               python3-pkg-resources,
               zip
Build-Depends-Indep: python3
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/youtube-dl
Vcs-Git: https://salsa.debian.org/debian/youtube-dl.git
Homepage: https://rg3.github.com/youtube-dl/
X-Python3-Version: >= 3.2

Package: youtube-dl
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Recommends: aria2 | wget | curl,
            ca-certificates,
            ffmpeg | libav-tools,
            mpv | mplayer,
            phantomjs,
            python3-pyxattr,
            rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv,
 1up.com,
 20min,
 220.ro,
 23video,
 24video,
 3qsdn,
 3sat,
 4tube,
 56.com,
 5min,
 6play,
 7plus,
 8tracks,
 91porn,
 9c9media,
 9c9media:stack,
 9gag,
 9now.com.au,
 abc.net.au,
 abc.net.au:iview,
 abcnews,
 abcnews:video,
 abcotvs,
 abcotvs:clips,
 AcademicEarth:Course,
 acast,
 acast:channel,
 AddAnime,
 ADN,
 AdobeTV,
 AdobeTVChannel,
 AdobeTVShow,
 AdobeTVVideo,
 AdultSwim,
 aenetworks,
 afreecatv,
 AirMozilla,
 AliExpressLive,
 AlJazeera,
 Allocine,
 AlphaPorno,
 AMCNetworks,
 AmericasTestKitchen,
 anderetijden,
 AnimeOnDemand,
 anitube.se,
 Anvato,
 AnySex,
 Aparat,
 AppleConnect,
 AppleDaily,
 appletrailers,
 appletrailers:section,
 archive.org,
 ARD,
 ARD:mediathek,
 Arkena,
 arte.tv,
 arte.tv:+7,
 arte.tv:cinema,
 arte.tv:concert,
 arte.tv:creative,
 arte.tv:ddc,
 arte.tv:embed,
 arte.tv:future,
 arte.tv:info,
 arte.tv:magazine,
 arte.tv:playlist,
 AsianCrush,
 AsianCrushPlaylist,
 AtresPlayer,
 ATTTechChannel,
 ATVAt,
 AudiMedia,
 AudioBoom,
 audiomack,
 audiomack:album,
 auroravid,
 AWAAN,
 awaan:live,
 awaan:season,
 awaan:video,
 AZMedien,
 AZMedienPlaylist,
 AZMedienShowPlaylist,
 BaiduVideo,
 bambuser,
 bambuser:channel,
 Bandcamp,
 Bandcamp:album,
 Bandcamp:weekly,
 bangumi.bilibili.com,
 bbc,
 bbc.co.uk,
 bbc.co.uk:article,
 bbc.co.uk:iplayer:playlist,
 bbc.co.uk:playlist,
 Beatport,
 Beeg,
 BehindKink,
 BellMedia,
 Bet,
 Bigflix,
 Bild,
 BiliBili,
 BioBioChileTV,
 BIQLE,
 BleacherReport,
 BleacherReportCMS,
 blinkx,
 Bloomberg,
 BokeCC,
 BostonGlobe,
 Bpb,
 BR,
 BravoTV,
 Break,
 brightcove:legacy,
 brightcove:new,
 BRMediathek,
 bt:article,
 bt:vestlendingen,
 BuzzFeed,
 BYUtv,
 Camdemy,
 CamdemyFolder,
 CamWithHer,
 canalc2.tv,
 Canalplus,
 Canvas,
 CanvasEen,
 CarambaTV,
 CarambaTVPage,
 CartoonNetwork,
 cbc.ca,
 cbc.ca:olympics,
 cbc.ca:player,
 cbc.ca:watch,
 cbc.ca:watch:video,
 CBS,
 CBSInteractive,
 CBSLocal,
 cbsnews,
 cbsnews:livevideo,
 CBSSports,
 CCMA,
 CCTV,
 CDA,
 CeskaTelevize,
 CeskaTelevizePorady,
 channel9,
 CharlieRose,
 Chaturbate,
 Chilloutzone,
 chirbit,
 chirbit:profile,
 Cinchcast,
 CJSW,
 cliphunter,
 Clippit,
 ClipRs,
 Clipsyndicate,
 CloserToTruth,
 cloudtime,
 Cloudy,
 Clubic,
 Clyp,
 cmt.com,
 CNBC,
 CNN,
 CNNArticle,
 CNNBlogs,
 ComCarCoff,
 ComedyCentral,
 ComedyCentralFullEpisodes,
 ComedyCentralShortname,
 ComedyCentralTV,
 CommonMistakes,
 CondeNast,
 Corus,
 Coub,
 Cracked,
 Crackle,
 Criterion,
 CrooksAndLiars,
 Crunchyroll,
 crunchyroll:playlist,
 CSNNE,
 CSpan,
 CtsNews,
 CTVNews,
 Culturebox,
 CultureUnplugged,
 curiositystream,
 curiositystream:collection,
 CWTV,
 DailyMail,
 dailymotion,
 dailymotion:playlist,
 dailymotion:user,
 DaisukiMotto,
 DaisukiMottoPlaylist,
 daum.net,
 daum.net:clip,
 daum.net:playlist,
 daum.net:user,
 DBTV,
 DctpTv,
 DeezerPlaylist,
 defense.gouv.fr,
 democracynow,
 DHM,
 Digg,
 DigitallySpeaking,
 Digiteka,
 Discovery,
 DiscoveryGo,
 DiscoveryGoPlaylist,
 DiscoveryNetworksDe,
 DiscoveryVR,
 Disney,
 Dotsub,
 DouyuShow,
 DouyuTV,
 DPlay,
 DPlayIt,
 dramafever,
 dramafever:series,
 DRBonanza,
 Dropbox,
 DrTuber,
 drtv,
 drtv:live,
 Dumpert,
 dvtv,
 dw,
 dw:article,
 EaglePlatform,
 EbaumsWorld,
 EchoMsk,
 egghead:course,
 egghead:lesson,
 eHow,
 Einthusan,
 eitb.tv,
 EllenTube,
 EllenTubePlaylist,
 EllenTubeVideo,
 ElPais,
 Embedly,
 EMPFlix,
 Engadget,
 Eporner,
 EroProfile,
 Escapist,
 ESPN,
 ESPNArticle,
 EsriVideo,
 ETOnline,
 Europa,
 EveryonesMixtape,
 ExpoTV,
 ExtremeTube,
 EyedoTV,
 facebook,
 FacebookPluginsVideo,
 faz.net,
 fc2,
 fc2:embed,
 Fczenit,
 filmon,
 filmon:channel,
 Filmweb,
 FiveThirtyEight,
 FiveTV,
 Flickr,
 Flipagram,
 Folketinget,
 FootyRoom,
 Formula1,
 FOX,
 FOX9,
 Foxgay,
 foxnews,
 foxnews:article,
 foxnews:insider,
 FoxSports,
 france2.fr:generation-what,
 FranceCulture,
 FranceInter,
 FranceTV,
 FranceTVEmbed,
 francetvinfo.fr,
 FranceTVJeunesse,
 FranceTVSite,
 Freesound,
 freespeech.org,
 FreshLive,
 Funimation,
 FunkChannel,
 FunkMix,
 FunnyOrDie,
 Fusion,
 Fux,
 FXNetworks,
 GameInformer,
 GameOne,
 gameone:playlist,
 GameSpot,
 GameStar,
 Gaskrank,
 Gazeta,
 GDCVault,
 generic,
 Gfycat,
 GiantBomb,
 Giga,
 Glide,
 Globo,
 GloboArticle,
 Go,
 Go90,
 GodTube,
 Golem,
 GoogleDrive,
 Goshgay,
 GPUTechConf,
 Groupon,
 Hark,
 hbo,
 hbo:episode,
 HearThisAt,
 Heise,
 HellPorno,
 Helsinki,
 HentaiStigma,
 hetklokhuis,
 hgtv.com:show,
 HiDive,
 HistoricFilms,
 history:topic,
 hitbox,
 hitbox:live,
 HitRecord,
 HornBunny,
 HotNewHipHop,
 HotStar,
 hotstar:playlist,
 Howcast,
 HowStuffWorks,
 HRTi,
 HRTiPlaylist,
 Huajiao,
 HuffPost,
 Hypem,
 Iconosquare,
 ign.com,
 imdb,
 imdb:list,
 Imgur,
 ImgurAlbum,
 Ina,
 Inc,
 Indavideo,
 IndavideoEmbed,
 InfoQ,
 Instagram,
 instagram:user,
 Internazionale,
 InternetVideoArchive,
 IPrima,
 iqiyi,
 Ir90Tv,
 ITTF,
 ITV,
 ivi,
 ivi:compilation,
 ivideon,
 Iwara,
 Izlesene,
 Jamendo,
 JamendoAlbum,
 JeuxVideo,
 Joj,
 Jove,
 jpopsuki.tv,
 JWPlatform,
 Kakao,
 Kaltura,
 KanalPlay,
 Kankan,
 Karaoketv,
 KarriereVideos,
 keek,
 KeezMovies,
 Ketnet,
 KhanAcademy,
 KickStarter,
 KonserthusetPlay,
 kontrtube,
 KrasView,
 Ku6,
 KUSI,
 kuwo:album,
 kuwo:category,
 kuwo:chart,
 kuwo:mv,
 kuwo:singer,
 kuwo:song,
 la7.it,
 laola1tv,
 laola1tv:embed,
 LCI,
 Lcp,
 LcpPlay,
 Le,
 Learnr,
 Lecture2Go,
 LEGO,
 Lemonde,
 LePlaylist,
 LetvCloud,
 Libsyn,
 life,
 life:embed,
 limelight,
 limelight:channel,
 limelight:channel_list,
 LineTV,
 LiTV,
 LiveLeak,
 LiveLeakEmbed,
 livestream,
 livestream:original,
 livestream:shortener,
 LnkGo,
 loc,
 LocalNews8,
 LoveHomePorn,
 lrt.lt,
 lynda,
 lynda:course,
 m6,
 macgamestore,
 mailru,
 mailru:music,
 mailru:music:search,
 MakersChannel,
 MakerTV,
 mangomolo:live,
 mangomolo:video,
 ManyVids,
 massengeschmack.tv,
 MatchTV,
 MDR,
 media.ccc.de,
 Medialaan,
 Mediaset,
 Mediasite,
 Medici,
 megaphone.fm,
 Meipai,
 MelonVOD,
 META,
 metacafe,
 Metacritic,
 Mgoon,
 MGTV,
 MiaoPai,
 Minhateca,
 MinistryGrid,
 Minoto,
 miomio.tv,
 MiTele,
 mixcloud,
 mixcloud:playlist,
 mixcloud:stream,
 mixcloud:user,
 Mixer:live,
 Mixer:vod,
 MLB,
 Mms,
 Mnet,
 MoeVideo,
 Mofosex,
 Mojvideo,
 Moniker,
 Morningstar,
 Motherless,
 MotherlessGroup,
 Motorsport,
 MovieClips,
 MovieFap,
 Moviezine,
 MovingImage,
 MSN,
 mtg,
 mtv,
 mtv.de,
 mtv81,
 mtv:video,
 mtvservices:embedded,
 MuenchenTV,
 MusicPlayOn,
 mva,
 mva:course,
 Mwave,
 MwaveMeetGreet,
 MySpace,
 MySpace:album,
 MySpass,
 Myvi,
 MyVidster,
 MyviEmbed,
 n-tv.de,
 natgeo,
 natgeo:episodeguide,
 natgeo:video,
 Naver,
 NBA,
 NBC,
 NBCNews,
 nbcolympics,
 nbcolympics:stream,
 NBCSports,
 NBCSportsVPlayer,
 ndr,
 ndr:embed,
 ndr:embed:base,
 NDTV,
 NerdCubedFeed,
 netease:album,
 netease:djradio,
 netease:mv,
 netease:playlist,
 netease:program,
 netease:singer,
 netease:song,
 Netzkino,
 Newgrounds,
 NewgroundsPlaylist,
 Newstube,
 NextMedia,
 NextMediaActionNews,
 NextTV,
 Nexx,
 NexxEmbed,
 nfb,
 nfl.com,
 NhkVod,
 nhl.com,
 nhl.com:news,
 nhl.com:videocenter,
 nhl.com:videocenter:category,
 nick.com,
 nick.de,
 nickelodeon:br,
 nickelodeonru,
 nicknight,
 niconico,
 NiconicoPlaylist,
 Nintendo,
 njoy,
 njoy:embed,
 NJPWWorld,
 NobelPrize,
 Noco,
 NonkTube,
 Noovo,
 Normalboots,
 NosVideo,
 Nova,
 nowness,
 nowness:playlist,
 nowness:series,
 nowvideo,
 Noz,
 npo,
 npo.nl:live,
 npo.nl:radio,
 npo.nl:radio:fragment,
 Npr,
 NRK,
 NRKPlaylist,
 NRKSkole,
 NRKTV,
 NRKTVDirekte,
 NRKTVEpisodes,
 NRKTVSeries,
 ntv.ru,
 Nuvid,
 NYTimes,
 NYTimesArticle,
 NZZ,
 ocw.mit.edu,
 OdaTV,
 Odnoklassniki,
 OktoberfestTV,
 on.aol.com,
 OnDemandKorea,
 onet.pl,
 onet.tv,
 onet.tv:channel,
 OnetMVP,
 OnionStudios,
 Ooyala,
 OoyalaExternal,
 Openload,
 OraTV,
 orf:fm4,
 orf:fm4:story,
 orf:iptv,
 orf:oe1,
 orf:tvthek,
 PacktPub,
 PacktPubCourse,
 PandaTV,
 pandora.tv,
 parliamentlive.tv,
 Patreon,
 pbs,
 pcmag,
 PearVideo,
 People,
 PerformGroup,
 periscope,
 periscope:user,
 PhilharmonieDeParis,
 phoenix.de,
 Photobucket,
 Piksel,
 Pinkbike,
 Pladform,
 play.fm,
 PlaysTV,
 Playtvak,
 Playvid,
 Playwire,
 pluralsight,
 pluralsight:course,
 plus.google,
 podomatic,
 Pokemon,
 PolskieRadio,
 PolskieRadioCategory,
 PopcornTV,
 PornCom,
 PornerBros,
 PornFlip,
 PornHd,
 PornHub,
 PornHubPlaylist,
 PornHubUserVideos,
 Pornotube,
 PornoVoisines,
 PornoXO,
 PornTube,
 PressTV,
 PrimeShareTV,
 PromptFile,
 prosiebensat1,
 Puls4,
 Pyvideo,
 qqmusic,
 qqmusic:album,
 qqmusic:playlist,
 qqmusic:singer,
 qqmusic:toplist,
 R7,
 R7Article,
 radio.de,
 radiobremen,
 radiocanada,
 RadioCanadaAudioVideo,
 radiofrance,
 RadioJavan,
 Rai,
 RaiPlay,
 RaiPlayLive,
 RaiPlayPlaylist,
 RayWenderlich,
 RBMARadio,
 RDS,
 RedBullTV,
 Reddit,
 RedditR,
 RedTube,
 RegioTV,
 RENTV,
 RENTVArticle,
 Restudy,
 Reuters,
 ReverbNation,
 revision,
 revision3:embed,
 RICE,
 RMCDecouverte,
 RockstarGames,
 RoosterTeeth,
 RottenTomatoes,
 Roxwel,
 Rozhlas,
 RTBF,
 rte,
 rte:radio,
 rtl.nl,
 rtl2,
 rtl2:you,
 rtl2:you:series,
 Rtmp,
 RTP,
 RTS,
 rtve.es:alacarta,
 rtve.es:infantil,
 rtve.es:live,
 rtve.es:television,
 RTVNH,
 RTVS,
 Rudo,
 RUHD,
 RulePorn,
 rutube,
 rutube:channel,
 rutube:embed,
 rutube:movie,
 rutube:person,
 rutube:playlist,
 RUTV,
 Ruutu,
 Ruv,
 safari,
 safari:api,
 safari:course,
 Sapo,
 savefrom.net,
 SBS,
 schooltv,
 screen.yahoo:search,
 Screencast,
 ScreencastOMatic,
 scrippsnetworks:watch,
 Seeker,
 SenateISVP,
 SendtoNews,
 ServingSys,
 Servus,
 Sexu,
 SeznamZpravy,
 SeznamZpravyArticle,
 Shahid,
 ShahidShow,
 Shared,
 ShowRoomLive,
 Sina,
 SkylineWebcams,
 skynewsarabia:article,
 skynewsarabia:video,
 SkySports,
 Slideshare,
 SlidesLive,
 Slutload,
 smotri,
 smotri:broadcast,
 smotri:community,
 smotri:user,
 Snotr,
 Sohu,
 SonyLIV,
 soundcloud,
 soundcloud:playlist,
 soundcloud:search,
 soundcloud:set,
 soundcloud:trackstation,
 soundcloud:user,
 soundgasm,
 soundgasm:profile,
 southpark.cc.com,
 southpark.cc.com:español,
 southpark.de,
 southpark.nl,
 southparkstudios.dk,
 SpankBang,
 Spankwire,
 Spiegel,
 Spiegel:Article,
 Spiegeltv,
 Spike,
 Sport5,
 SportBoxEmbed,
 SportDeutschland,
 SpringboardPlatform,
 Sprout,
 sr:mediathek,
 SRGSSR,
 SRGSSRPlay,
 stanfordoc,
 Steam,
 Stitcher,
 Streamable,
 Streamango,
 streamcloud.eu,
 StreamCZ,
 StreetVoice,
 StretchInternet,
 SunPorno,
 SVT,
 SVTPlay,
 SWRMediathek,
 Syfy,
 SztvHu,
 t-online.de,
 Tagesschau,
 tagesschau:player,
 Tass,
 TastyTrade,
 TBS,
 TDSLifeway,
 teachertube,
 teachertube:user:collection,
 TeachingChannel,
 Teamcoco,
 TechTalks,
 techtv.mit.edu,
 ted,
 Tele13,
 TeleBruxelles,
 Telecinco,
 Telegraaf,
 TeleMB,
 TeleQuebec,
 TeleQuebecEmission,
 TeleQuebecLive,
 TeleTask,
 Telewebion,
 TennisTV,
 TestURL,
 TF1,
 TFO,
 TheIntercept,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = youtube_dl
export PATH := $(CURDIR)/debian/utils:$(PATH)

%:
	dh $@ --with python3 --buildsystem=pybuild --with bash-completion

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	mv Makefile Makefile.inactive
	rm youtube-dl

override_dh_clean:
	test -f Makefile || mv Makefile.inactive Makefile
	make clean
	dh_clean

override_dh_auto_test:

## youtube-dl 2018.03.14-1ubuntu18.04.1%2B9.0trisquel1

=== debian/changelog ===
youtube-dl (2018.03.14-1ubuntu18.04.1+9.0trisquel1) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 16 Nov 2019 01:15:52 +0000

youtube-dl (2018.03.14-1ubuntu18.04.1) bionic; urgency=medium

  * debian/patches/youtube-Fix-extraction.patch:
    - backport upstream patch to adapt to the website changes
      (lp: #1831778)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Jun 2019 15:37:07 +0200

## youtube-dl 2018.04.03-1~webupd8~xenial0%2B8.0trisquel1

=== debian/changelog ===
youtube-dl (1:2018.04.03-1~webupd8~xenial0+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 17:05:48 +0000

youtube-dl (1:2018.04.03-1~webupd8~xenial0) xenial; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 03 Apr 2018 17:48:39 +0300
 

youtube-dl (1:2018.03.10-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 12 Mar 2018 15:02:31 +0200
 

youtube-dl (1:2018.01.21-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 22 Jan 2018 13:24:03 +0200
 

youtube-dl (1:2018.01.07-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 10 Jan 2018 14:23:34 +0200
 

youtube-dl (1:2017.11.15-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 21 Nov 2017 12:57:10 +0200
 

youtube-dl (1:2017.10.15.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 17 Oct 2017 12:14:50 +0300
 

youtube-dl (1:2017.09.24-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 25 Sep 2017 15:12:17 +0300
 

youtube-dl (1:2017.09.02-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 04 Sep 2017 14:24:00 +0300
 

youtube-dl (1:2017.08.27.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 28 Aug 2017 13:19:06 +0300
 

youtube-dl (1:2017.08.23-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 24 Aug 2017 13:45:07 +0300
 

youtube-dl (1:2017.08.18-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 21 Aug 2017 12:50:01 +0300
 

youtube-dl (1:2017.08.13-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 14 Aug 2017 10:57:12 +0300
 

youtube-dl (1:2017.08.09-1~webupd8~zesty0) zesty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 10 Aug 2017 11:09:58 +0300
 

youtube-dl (1:2017.08.06-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 07 Aug 2017 13:07:51 +0300
 

youtube-dl (1:2017.07.30.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 02 Aug 2017 12:39:15 +0300
 

youtube-dl (1:2017.07.09-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 12 Jul 2017 15:14:08 +0300
 

youtube-dl (1:2017.07.02-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 05 Jul 2017 12:06:04 +0300
 

youtube-dl (1:2017.06.25-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 26 Jun 2017 12:28:03 +0300
 

youtube-dl (1:2017.06.23-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 23 Jun 2017 14:40:33 +0300
 

youtube-dl (1:2017.06.18-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 19 Jun 2017 12:49:18 +0300
 

youtube-dl (1:2017.06.12-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 13 Jun 2017 13:37:45 +0300
 

youtube-dl (1:2017.06.05-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 05 Jun 2017 11:35:02 +0300
 

youtube-dl (1:2017.05.29-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 29 May 2017 12:04:55 +0300
 

youtube-dl (1:2017.05.23-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 23 May 2017 12:33:45 +0300
 

youtube-dl (1:2017.05.18.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 19 May 2017 14:28:10 +0300
 

youtube-dl (1:2017.05.14-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 17 May 2017 12:47:57 +0300
 

youtube-dl (1:2017.05.09-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 10 May 2017 13:06:29 +0300
 

youtube-dl (1:2017.05.01-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 02 May 2017 11:51:37 +0300
 

youtube-dl (1:2017.04.17-1~webupd8~trusty0) trusty; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 18 Apr 2017 12:17:09 +0300
 

## youtube-dl 2018.04.03-1~webupd8~xenial0+8.0trisquel1

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pandoc,
 python-pkg-resources,
 zip
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.8
Homepage: https://rg3.github.com/youtube-dl/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/youtube-dl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg | libav-tools,
 mpv | mplayer | mplayer2,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv, 1up.com, 20min, 220.ro, 22tracks:genre, 22tracks:track, 24video, 3sat,
 4tube, 56.com, 5min, 8tracks, 91porn, 9gag, abc.net.au, Abc7News,
 AcademicEarth:Course, acast, acast:channel, AddAnime, AdobeTV,
 AdobeTVChannel, AdobeTVShow, AdobeTVVideo, AdultSwim, aenetworks,
 Aftonbladet, AirMozilla, AlJazeera, Allocine, AlphaPorno, AnimeOnDemand,
 anitube.se, AnySex, Aparat, AppleConnect, AppleDaily, appletrailers,
 appletrailers:section, archive.org, ARD, ARD:mediathek, ARD:mediathek,
 arte.tv, arte.tv:+7, arte.tv:cinema, arte.tv:concert, arte.tv:creative,
 arte.tv:ddc, arte.tv:embed, arte.tv:future, arte.tv:magazine, AtresPlayer,
 ATTTechChannel, AudiMedia, audiomack, audiomack:album, Azubu, AzubuLive,
 BaiduVideo, bambuser, bambuser:channel, Bandcamp, Bandcamp:album, bbc,
 bbc.co.uk, bbc.co.uk:article, BeatportPro, Beeg, BehindKink, Bet, Bigflix,
 Bild, BiliBili, BleacherReport, BleacherReportCMS, blinkx, Bloomberg, Bpb,
 BR, Break, brightcove:legacy, brightcove:new, bt:article, bt:vestlendingen,
 BuzzFeed, BYUtv, Camdemy, CamdemyFolder, canalc2.tv, Canalplus, Canvas,
 CBC, CBCPlayer, CBS, CBSNews, CBSNewsLiveVideo, CBSSports, CeskaTelevize,
 channel9, Chaturbate, Chilloutzone, chirbit, chirbit:profile, Cinchcast,
 Cinemassacre, Clipfish, cliphunter, Clipsyndicate, cloudtime, Cloudy,
 Clubic, Clyp, cmt.com, CNET, CNN, CNNArticle, CNNBlogs, CollegeHumor,
 CollegeRama, ComCarCoff, ComedyCentral, ComedyCentralShows, CommonMistakes,
 CondeNast, Cracked, Crackle, Criterion, CrooksAndLiars, Crunchyroll,
 crunchyroll:playlist, CSpan, CtsNews, culturebox.francetvinfo.fr,
 CultureUnplugged, CWTV, dailymotion, dailymotion:playlist,
 dailymotion:user, DailymotionCloud, daum.net, daum.net:clip,
 daum.net:playlist, daum.net:user, DBTV, DCN, dcn:live, dcn:season,
 dcn:video, DctpTv, DeezerPlaylist, defense.gouv.fr, democracynow, DHM,
 Digiteka, Discovery, Dotsub, DouyuTV, DPlay, dramafever, dramafever:series,
 DRBonanza, Dropbox, DrTuber, DRTV, Dump, Dumpert, dvtv, EaglePlatform,
 EbaumsWorld, EchoMsk, eHow, Einthusan, eitb.tv, EllenTV, EllenTV:clips,
 ElPais, Embedly, EMPFlix, Engadget, Eporner, EroProfile, Escapist, ESPN,
 EsriVideo, Europa, EveryonesMixtape, exfm, ExpoTV, ExtremeTube, facebook,
 facebook:post, faz.net, fc2, Fczenit, fernsehkritik.tv, Firstpost, FiveTV,
 Flickr, Folketinget, FootyRoom, FOX, Foxgay, FoxNews, FoxSports,
 france2.fr:generation-quoi, FranceCulture, FranceCultureEmission,
 FranceInter, francetv, francetvinfo.fr, Freesound, freespeech.org,
 FreeVideo, Funimation, FunnyOrDie, GameInformer, Gamekings, GameOne,
 gameone:playlist, Gamersyde, GameSpot, GameStar, Gametrailers, Gazeta,
 GDCVault, generic, Gfycat, GiantBomb, Giga, Glide, Globo, GloboArticle,
 GodTube, GoldenMoustache, Golem, GoogleDrive, Goshgay, GPUTechConf,
 Groupon, Hark, HearThisAt, Heise, HellPorno, Helsinki, HentaiStigma,
 HistoricFilms, hitbox, hitbox:live, HornBunny, HotNewHipHop, HotStar,
 Howcast, HowStuffWorks, HuffPost, Hypem, Iconosquare, ign.com, imdb,
 imdb:list, Imgur, ImgurAlbum, Ina, Indavideo, IndavideoEmbed, InfoQ,
 Instagram, instagram:user, InternetVideoArchive, IPrima, iqiyi, Ir90Tv,
 ivi, ivi:compilation, ivideon, Izlesene, JadoreCettePub, JeuxVideo, Jove,
 jpopsuki.tv, JWPlatform, Kaltura, KanalPlay, Kankan, Karaoketv,
 KarriereVideos, keek, KeezMovies, KhanAcademy, KickStarter,
 KonserthusetPlay, kontrtube, KrasView, Ku6, kuwo:album, kuwo:category,
 kuwo:chart, kuwo:mv, kuwo:singer, kuwo:song, la7.tv, Laola1Tv, Lecture2Go,
 Lemonde, Letv, LetvCloud, LetvPlaylist, LetvTv, Libsyn, life:embed,
 lifenews, limelight, limelight:channel, limelight:channel_list, LiveLeak,
 livestream, livestream:original, livestream:shortener, LnkGo, LoveHomePorn,
 lrt.lt, lynda, lynda:course, m6, macgamestore, mailru, MakerTV, Malemotion,
 MatchTV, MDR, media.ccc.de, metacafe, Metacritic, Mgoon, Minhateca,
 MinistryGrid, miomio.tv, MiTele, mixcloud, MLB, MoeVideo, Mofosex,
 Mojvideo, Moniker, mooshare, Morningstar, Motherless, Motorsport,
 MovieClips, MovieFap, Moviezine, MPORA, MSNBC, MTV, mtv.de, mtviggy.com,
 mtvservices:embedded, MuenchenTV, MusicPlayOn, muzu.tv, Mwave, MySpace,
 MySpace:album, MySpass, Myvi, myvideo (CURRENTLY BROKEN), MyVidster,
 n-tv.de, NationalGeographic, Naver, NBA, NBC, NBCNews, NBCSports,
 NBCSportsVPlayer, ndr, ndr:embed, ndr:embed:base, NDTV, NerdCubedFeed,
 Nerdist, netease:album, netease:djradio, netease:mv, netease:playlist,
 netease:program, netease:singer, netease:song, Netzkino, Newgrounds,
 Newstube, NextMedia, NextMediaActionNews, nextmovie.com, nfb, nfl.com,
 nhl.com, nhl.com:news, nhl.com:videocenter, nick.com, niconico,
 NiconicoPlaylist, njoy, njoy:embed, Noco, Normalboots, NosVideo, Nova,
 novamov, nowness, nowness:playlist, nowness:series, NowTV (CURRENTLY
 BROKEN), NowTVList, nowvideo, Noz, npo, npo.nl:live, npo.nl:radio,
 npo.nl:radio:fragment, Npr, NRK, NRKPlaylist, NRKTV, ntv.ru, Nuvid,
 NYTimes, NYTimesArticle, ocw.mit.edu, Odnoklassniki, OktoberfestTV,
 on.aol.com, OnionStudios, Ooyala, OoyalaExternal, OraTV, orf:fm4, orf:iptv,
 orf:oe1, orf:tvthek, pandora.tv, parliamentlive.tv, Patreon, pbs, pcmag,
 Periscope, PhilharmonieDeParis, phoenix.de, Photobucket, Pinkbike,
 Pladform, PlanetaPlay, play.fm, played.to, PlaysTV, Playtvak, Playvid,
 Playwire, pluralsight, pluralsight:course, plus.google, pluzz.francetv.fr,
 podomatic, PornHd, PornHub, PornHubPlaylist, PornHubUserVideos, Pornotube,
 PornoVoisines, PornoXO, PrimeShareTV, PromptFile, prosiebensat1, Puls4,
 Pyvideo, qqmusic, qqmusic:album, qqmusic:playlist, qqmusic:singer,
 qqmusic:toplist, QuickVid, R7, radio.de, radiobremen, radiofrance,
 RadioJavan, Rai, RaiTV, RBMARadio, RDS, RedTube, RegioTV, Restudy,
 ReverbNation, Revision3, RingTV, RottenTomatoes, Roxwel, RTBF, rte,
 rte:radio, rtl.nl, RTL2, RTP, RTS, rtve.es:alacarta, rtve.es:infantil,
 rtve.es:live, RTVNH, RUHD, RulePorn, rutube, rutube:channel, rutube:embed,
 rutube:movie, rutube:person, RUTV, Ruutu, safari, safari:course, Sandia,
 Sapo, savefrom.net, SBS, schooltv, SciVee, screen.yahoo:search, Screencast,
 ScreencastOMatic, ScreenJunkies, ScreenwaveMedia, SenateISVP, ServingSys,
 Sexu, SexyKarma, Shahid, Shared, ShareSix, Sina, skynewsarabia:video,
 skynewsarabia:video, Slideshare, Slutload, smotri, smotri:broadcast,
 smotri:community, smotri:user, SnagFilms, SnagFilmsEmbed, Snotr, Sohu,
 soundcloud, soundcloud:playlist, soundcloud:search, soundcloud:set,
 soundcloud:user, soundgasm, soundgasm:profile, southpark.cc.com,
 southpark.cc.com:español, southpark.de, southpark.nl, southparkstudios.dk,
 Space, SpankBang, Spankwire, Spiegel, Spiegel:Article, Spiegeltv, Spike,
 Sport5, SportBox, SportBoxEmbed, SportDeutschland, Sportschau, SRGSSR,
 SRGSSRPlay, SSA, stanfordoc, Steam, Stitcher, streamcloud.eu, StreamCZ,
 StreetVoice, SunPorno, SVT, SVTPlay, SWRMediathek, Syfy, SztvHu,
 Tagesschau, Tapely, Tass, teachertube, teachertube:user:collection,
 TeachingChannel, Teamcoco, TeamFour, TechTalks, techtv.mit.edu, ted,
 Tele13, TeleBruxelles, Telecinco, Telegraaf, TeleMB, TeleTask, TenPlay,
 TestURL, TF1, TheIntercept, TheOnion, ThePlatform, ThePlatformFeed,
 TheSixtyOne, ThisAmericanLife, ThisAV, THVideo, THVideoPlaylist, tinypic,
 tlc.de, TMZ, TMZArticle, TNAFlix, toggle, tou.tv, Toypics, ToypicsUser,
 TrailerAddict (CURRENTLY BROKEN), Trilulilu, trollvids, TruTube, Tube8,
 TubiTv, tudou, tudou:album, tudou:playlist, Tumblr, tunein:clip,
 tunein:program, tunein:shortener, tunein:station, tunein:topic, Turbo,
 Tutv, tv.dfb.de, TV2, TV2Article, TV4, TVC, TVCArticle, tvigle, tvland.com,
 tvp.pl, tvp.pl:Series, TVPlay, Tweakers, twitch:bookmarks, twitch:chapter,
 twitch:past_broadcasts, twitch:profile, twitch:stream, twitch:video,
 twitch:vod, twitter, twitter:amplify, twitter:card, Ubu, udemy,
 udemy:course, UDNEmbed, UnicodeBOM, Unistra, Urort, ustream,
 ustream:channel, Varzesh3, Vbox7, VeeHD, Veoh, Vessel, Vesti, Vevo, VGTV,
 vh1.com, Vice, Viddler, video.google:search, video.mit.edu, VideoDetective,
 videofy.me, VideoMega (CURRENTLY BROKEN), videomore, videomore:season,
 videomore:video, VideoPremium, VideoTt (CURRENTLY BROKEN), videoweed,
 vidme, vidme:user, vidme:user:likes, Vidzi, vier, vier:videos, Viewster,
 Viidea, viki, viki:channel, vimeo, vimeo:album, vimeo:channel, vimeo:group,
 vimeo:likes, vimeo:review, vimeo:user, vimeo:watchlater, Vimple, Vine,
 vine:user, vk, vk:uservideos, vlive, Vodlocker, VoiceRepublic, Vporn, vpro,
 VRT, vube, VuClip, vulture.com, Walla, WashingtonPost, wat.tv,
 WayOfTheMaster, WDR, wdr:mobile, WDRMaus, WebOfStories,
 WebOfStoriesPlaylist, Weibo, WeiqiTV, wholecloud, Wimp, Wistia, WNL,
 WorldStarHipHop, wrzuta.pl, WSJ, XBef, XboxClips, XFileShare, XHamster,
 XHamsterEmbed, XMinus, XNXX, Xstream, XTube, XTubeUser, Xuite, XVideos,
 XXXYMovies, Yahoo, Yam, yandexmusic:album, yandexmusic:playlist,
 yandexmusic:track, YesJapan, yinyuetai:video, Ynet, YouJizz, youku,
 YouPorn, YourUpload, youtube, youtube:channel, youtube:favorites,
 youtube:history, youtube:playlist, youtube:playlists, youtube:recommended,
 youtube:search, youtube:search:date, youtube:search_url, youtube:show,
 youtube:subscriptions, youtube:truncated_id, youtube:truncated_url,
 youtube:user, youtube:watchlater, Zapiks, ZDF, ZDFChannel, zingmp3:album,
 zingmp3:song, ZippCast

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_configure:
	PREFIX=/usr SYSCONFDIR=/etc make
	mv Makefile Makefile.inactive
	rm youtube-dl

override_dh_install:
	mv debian/youtube-dl/usr/etc debian/youtube-dl/
#	# For the future (similarly for fish):
#	# dpkg-maintscript-helper rm_conffile /etc/youtube-dl.bash-completion \
#	#   etc.
#
#	mv debian/youtube-dl/usr/etc/bash_completion.d/youtube-dl.bash-completion \
#		debian/usr/share/bash-completion/completions/youtube-dl
	dh_install

override_dh_installdocs:
	dh_installdocs
	mv debian/youtube-dl/usr/share/doc/youtube_dl/* debian/youtube-dl/usr/share/doc/youtube-dl
	rmdir debian/youtube-dl/usr/share/doc/youtube_dl

override_dh_clean:
	-mv Makefile.inactive Makefile
	-make clean
	dh_clean
	rm -rf youtube_dl.egg-info

override_dh_auto_test:

## youtube-dl 2018.09.10

=== debian/changelog ===
youtube-dl (2018.09.10-1) unstable; urgency=medium

  * ACK NMU by Clint Adams. Thanks!
  * New upstream version 2018.09.10. Closes: #908461, #907722, #904619.
  * debian/patch:
    + Refresh all patches to avoid FTBFS.
  * debian/control:
    + Set 'Rules-Requires-Root: no'.
    + Mark compliance with Debian policy 4.2.1. No further changes needed.
    + Update list of extractors in long description.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 14 Sep 2018 23:11:59 -0300

youtube-dl (2018.06.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing python3-setuptools build dependency.  closes: #902279.

 -- Clint Adams <clint@debian.org>  Sun, 24 Jun 2018 16:54:30 -0400

youtube-dl (2018.06.18-1) unstable; urgency=medium

  * New upstream version 2018.06.18 (Closes: #900642)
  * debian/control:
    + Canonicalize with `wrap-and-sort -s -a -b`.
    + Remove X-Python3-Version indication with ancient versions.
    + Remove trailing whitespace at EOF.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 19 Jun 2018 07:44:05 -0300

youtube-dl (2018.04.25-1) unstable; urgency=medium

  * New upstream version 2018.04.25
  * New buld to fix missing build dependencies due to changes in python3.6.
    (Closes: #896789)
  * debian/control:
    + Verify compliance with Policy 4.1.4 (no changes needed).

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 27 Apr 2018 17:20:44 -0300
